let fs = require('fs')
let _ = require('lodash')
let moment = require('moment-timezone')
run()

let adder=[]



async function run() {

    let configs = await fs.readdirSync('uniq/')
    let arr = []

    let arrSide=[]
    let arrRunup=[]
    let total = []
    let levelPlus=[]
    let types = []

    for (let i = 0; i < configs.length; i++) {


        let config = await fs.readFileSync('./uniq/' + configs[i] + '/default/compound1000.json', 'utf8')
        config = JSON.parse(config)


        for (let j = 0; j < config.length; j++) {
            total.push(config[j].total)
            let dateString = config[j].dateString.split('_')

            let arrDate = []
            for (let z = 0; z < dateString.length - 1; z++)
                arrDate.push(dateString[z])

            add(config[j].total,arrDate)


        }


    }

    adder = _.orderBy(adder, ['total'], ['asc']);

    for (let i=0;i<adder.length;i++)
    {
        for (let z=i+1;z<adder.length;z++)
        {
            add(adder(i).total,adder[z].dates)
        }
    }
     console.log(adder)






}


function add(total,dates)
{
    let found=false
    for (let i=0;i<adder.length;i++)
        if (adder[i].total === total)
        {
            found=true
            for (let z=0;z<dates.length;z++)
                adder[i].dates.push(dates[z])

            adder[i].dates=_.uniq(adder[i].dates)
        }

    if (found)
        return

    adder.push({total:total,dates:dates})

}

function getDaysDiff(start, closed) {
    //2019-05-25T05:34:27+04:30
    var now = moment(moment(closed, 'YYYY-MM-DD').format());
    var end = moment.duration(now.diff(moment(start, 'YYYY-MM-DD')));
    // console.log(parseInt(end.asDays()))
    return parseInt(end.asDays())


}

function createfileADV(data) {
    // console.log(data)
    return new Promise(function (resolve, reject) {
        fs.writeFile('date.json', data, 'utf8', function (err) {
            if (err) reject(err);
            else resolve(data);
        });
    });
}

function createConfileADV(data) {
    // console.log(data)
    return new Promise(function (resolve, reject) {
        fs.writeFile('con1.json', data, 'utf8', function (err) {
            if (err) reject(err);
            else resolve(data);
        });
    });
}